/**
 * Rebar — Reading Progress Bar for WordPress.
 * Exclusively on Envato Market: https://1.envato.market/rebar
 *
 * @encoding        UTF-8
 * @version         2.0.3
 * @copyright       Copyright (C) 2018 - 2020 Merkulove ( https://merkulov.design/ ). All rights reserved.
 * @license         Envato License https://1.envato.market/KYbje
 * @contributors    Alexander Khmelnitskiy (info@alexander.khmelnitskiy.ua), Dmitry Merkulov (dmitry@merkulov.design)
 * @support         help@merkulov.design
 **/

jQuery( function( $ ) {
    "use strict";

    /** Initialize CSS Code Editor. */
    let css_editor;
    if ( $( '#mdp_custom_css_fld' ).length ) {

        let editorSettings = wp.codeEditor.defaultSettings ? _.clone( wp.codeEditor.defaultSettings ) : {};
        editorSettings.codemirror = _.extend(
            {},
            editorSettings.codemirror,
            {
                indentUnit: 2,
                tabSize: 2,
                mode: 'css'
            }
        );

        css_editor = wp.codeEditor.initialize( 'mdp_custom_css_fld', editorSettings );

        css_editor.codemirror.on( 'change', function() {
            css_editor.codemirror.save(); // Save data from CodeEditor to textarea.
            $( '#mdp_custom_css_fld' ).change();
        } );

    }

    /** Live preview for styles */
    /** Style changed. */
    $( '#mdp-rebar-settings-style' ).on( 'change', function() {
        $( '#mdp-rebar-wrapper' ).removeClass().addClass( $( this ).val() );
    } );

    /** Check hidden input changes. */
    setInterval( function () {

        let $rebarElement = $( '#mdp-rebar-element' );
        let $color = $( '#mdp-rebar-settings-color' );

        $rebarElement.css( 'height', $( '#mdp-rebar-settings-height-input' ).val() + "px" );
        $rebarElement.css( 'background-color', $color.val() );

        if ( $( '#mdp-rebar-settings-shadow' ).closest( '.mdc-switch' ).hasClass( 'mdc-switch--checked' ) ) {
            $rebarElement.css( 'box-shadow', '0 0 5px ' + $color.val() );
        } else {
            $rebarElement.css( 'box-shadow', 'none' );
        }

    }, 200 );

} );
